%global __requires_exclude perl\\(Shutter::.*\\)
%global __provides_exclude perl\\(.*\\)

Summary:	Feature-rich screenshot application
Name:		shutter
Version:	0.93
%define subrel 1
Release:	%mkrel 4
License:	GPLv3+
Group:		Graphical desktop/GNOME
URL:		http://shutter-project.org
Source:		http://shutter-project.org/wp-content/uploads/releases/tars/%{name}-%{version}.tar.gz
# https://bugs.launchpad.net/shutter/+bug/1369330
Patch0:		shutter-0.93-mga-i18n-desktop.patch
Patch1:		shutter-0.93-fix-defined-array.patch
Patch2:		CVE-2015-0854.patch
BuildArch:	noarch
Recommends:	gnome-web-photo

%description
Shutter is a feature-rich screenshot program. You can take a screenshot of a
specific area, window, your whole screen, or even of a website - apply
different effects to it, draw on it to highlight points, and then upload
to an image hosting site, all within one window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .CVE-2015-0854

%build
# nothing

%install
# Remove non-standard groups
perl -i -ln -e 'print unless m{\A\[(Select|Screen|Window|Active) Shortcut Group\]\s*\z}..m{\A\s*\z}' share/applications/%{name}.desktop

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 bin/shutter %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_datadir}
cp -pr share/* %{buildroot}%{_datadir}

%find_lang %{name}
%find_lang %{name}-plugins
%find_lang %{name}-upload-plugins
cat %{name}-plugins.lang >> %{name}.lang
cat %{name}-upload-plugins.lang >> %{name}.lang

%files -f %{name}.lang
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/*
%{_iconsdir}/ubuntu-mono-dark/*
%{_iconsdir}/ubuntu-mono-light/*
%{_iconsdir}/hicolor/*
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/HighContrast/scalable/apps/%{name}-panel.svg
%{_iconsdir}/HighContrast/scalable/apps/%{name}.svg


%changelog
* Fri Sep 18 2015 shlomif <shlomif> 0.93-4.1.mga5
+ Revision: 880312
- Fix MGA#16754 (New sec issue) and apply patch from Cauldron.

* Wed Oct 15 2014 umeabot <umeabot> 0.93-4.mga5
+ Revision: 749818
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.93-3.mga5
+ Revision: 689150
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

* Sun Sep 14 2014 alexl <alexl> 0.93-2.mga5
+ Revision: 675512
- fixed license tag in spec
- translated desktop file (i18n-desktop.patch)
- cleanup spec

* Sat Aug 30 2014 daviddavid <daviddavid> 0.93-1.mga5
+ Revision: 669615
- new version: 0.93

* Sat Jun 28 2014 pterjan <pterjan> 0.91-1.mga5
+ Revision: 640768
- 0.91

* Sat Oct 19 2013 umeabot <umeabot> 0.90-2.mga4
+ Revision: 526243
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 kharec <kharec> 0.90-1.mga4
+ Revision: 436389
- update to 0.90
- update file list to install new icons

* Mon Jan 14 2013 umeabot <umeabot> 0.89.1-3.mga3
+ Revision: 382007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 guillomovitch <guillomovitch> 0.89.1-2.mga3
+ Revision: 286891
- drop useless build dependency
- own %%{_datadir}/shutter
- cleanup installation
- drop useless obsoletes tag
- drop useless explicit perl dependencies
- cleanup automatic dependencies exceptions
- spec cleanup

* Sun Aug 26 2012 kharec <kharec> 0.89.1-1.mga3
+ Revision: 284058
- version 0.89.1

* Mon May 28 2012 kharec <kharec> 0.88.3-1.mga3
+ Revision: 248724
- Update to 0.88.3

* Sat Feb 25 2012 kharec <kharec> 0.88.2-1.mga2
+ Revision: 214384
- update to 0.88.2

* Fri Dec 30 2011 shlomif <shlomif> 0.88.1-3.mga2
+ Revision: 189050
- Add missing dependencies. Thanks to ryoshu.

* Fri Dec 09 2011 kharec <kharec> 0.88.1-2.mga2
+ Revision: 179769
- Add a _requires_exceptions on perl(Shutter::Upload::Shared) to fix install

* Mon Dec 05 2011 kharec <kharec> 0.88.1-1.mga2
+ Revision: 176787
- new version 0.88.1
- package new translations files

* Sat Nov 26 2011 shlomif <shlomif> 0.87.3-7.mga2
+ Revision: 172329
- Add XML::Simple as a dep. Thanks to ryoshu

* Sun Nov 06 2011 shlomif <shlomif> 0.87.3-6.mga2
+ Revision: 164171
- Add Image::ExifTool to the dependencies

* Wed Oct 26 2011 shlomif <shlomif> 0.87.3-5.mga2
+ Revision: 158226
- Fixed long line in description as warned by rpmlint
- Add missing requires - see https://bugs.mageia.org/show_bug.cgi?id=3185

* Mon Oct 10 2011 shlomif <shlomif> 0.87.3-3.mga2
+ Revision: 153680
- Fixed the /usr/share/applications/.desktop file to make it more standard
- Got rid of the false Perl Provides by this application.

* Tue Jul 05 2011 kharec <kharec> 0.87.3-1.mga2
+ Revision: 118715
- new version 0.87.3

* Mon Jul 04 2011 kharec <kharec> 0.86.3-1.mga2
+ Revision: 118385
- imported package shutter

